package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.UserInfo;
import com.ruoyi.system.domain.UserNucleicTime;

/**
 * 导入人员核酸时间记录Service接口
 * 
 * @author ruoyi
 * @date 2022-08-15
 */
public interface IUserNucleicTimeService 
{
    /**
     * 查询导入人员核酸时间记录
     * 
     * @param id 导入人员核酸时间记录主键
     * @return 导入人员核酸时间记录
     */
    public UserNucleicTime selectUserNucleicTimeById(Long id);

    /**
     * 查询导入人员核酸时间记录列表
     * 
     * @param userNucleicTime 导入人员核酸时间记录
     * @return 导入人员核酸时间记录集合
     */
    public List<UserNucleicTime> selectUserNucleicTimeList(UserNucleicTime userNucleicTime);

    /**
     * 新增导入人员核酸时间记录
     * 
     * @param userNucleicTime 导入人员核酸时间记录
     * @return 结果
     */
    public int insertUserNucleicTime(UserNucleicTime userNucleicTime);

    /**
     * 修改导入人员核酸时间记录
     * 
     * @param userNucleicTime 导入人员核酸时间记录
     * @return 结果
     */
    public int updateUserNucleicTime(UserNucleicTime userNucleicTime);

    /**
     * 批量删除导入人员核酸时间记录
     * 
     * @param ids 需要删除的导入人员核酸时间记录主键集合
     * @return 结果
     */
    public int deleteUserNucleicTimeByIds(Long[] ids);

    /**
     * 删除导入人员核酸时间记录信息
     * 
     * @param id 导入人员核酸时间记录主键
     * @return 结果
     */
    public int deleteUserNucleicTimeById(Long id);

    /**
     * 查询首页需要的数据
     * @param
     */
    public void getIndexData();

    /**
     * 获取首页折线图/柱状图人群数据
     * @return
     */
    public List<UserNucleicTime> getJobStyle();

    /**
     * 列表页计算多少次核酸
     * @return
     */
    public int getHeSuanCount(Long deptId);

    List<UserNucleicTime> homeList();
}
